[PC-BSD Commits] r1121 - in pbibuild/modules/kasablanca: . kmenu-dir overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Wed Jan 9 14:23:56 PST 2008
Author: gonzalo
Date: 2008-01-09 14:23:56 -0800 (Wed, 09 Jan 2008)
New Revision: 1121
Modified:
pbibuild/modules/kasablanca/build.sh
pbibuild/modules/kasablanca/copy-files
pbibuild/modules/kasablanca/kmenu-dir/kasablanca
pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh
pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/kasablanca/pbi.conf
Log:
Kasablanca scripts fixed
Modified: pbibuild/modules/kasablanca/build.sh
===================================================================
--- pbibuild/modules/kasablanca/build.sh 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/build.sh 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,24 +1,24 @@
-#!/bin/sh
-# PBI building script
-# This will run after your port build is complete
-# Build your PBI here, and exit 0 on success, or exit 1 on failure.
-##############################################################################
-# Available Variables
-# PBIDIR = The location of where you can populate your PBI directory
-# MODULEDIR = The location of the module directory for this PBI
-# PORTVER = Version number of the port we used to build
-##############################################################################
-
-# Get all the various language files and copy them to the PBI
-LANGFILE="kasablanca.mo"
-mkdir ${PBIDIR}/locale/
-cd /usr/local/share/locale
-for i in `ls`
-do
- if [ -e "/usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}" ]
- then
- mkdir ${PBIDIR}/locale/${i}
- cp /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE} ${PBIDIR}/locale/${i}/
- fi
-done
-
+#!/bin/sh
+# PBI building script
+# This will run after your port build is complete
+# Build your PBI here, and exit 0 on success, or exit 1 on failure.
+##############################################################################
+# Available Variables
+# PBIDIR = The location of where you can populate your PBI directory
+# MODULEDIR = The location of the module directory for this PBI
+# PORTVER = Version number of the port we used to build
+##############################################################################
+
+# Get all the various language files and copy them to the PBI
+LANGFILE="kasablanca.mo"
+mkdir ${PBIDIR}/locale/
+cd /usr/local/share/locale
+for i in `ls`
+do
+ if [ -e "/usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}" ]
+ then
+ mkdir ${PBIDIR}/locale/${i}
+ cp /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE} ${PBIDIR}/locale/${i}/
+ fi
+done
+
Modified: pbibuild/modules/kasablanca/copy-files
===================================================================
--- pbibuild/modules/kasablanca/copy-files 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/copy-files 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,13 +1,13 @@
-/usr/local/bin/kasablanca bin/
-/usr/local/share/applnk/Utilities/kasablanca.desktop share/applnk/Utilities/
-/usr/local/share/apps/kasablanca share/apps/
-/usr/local/share/config.kcfg/kbconfig.kcfg share/config.kcfg
-/usr/local/share/doc/HTML/en/kasablanca share/doc/HTML/en/
-/usr/local/share/icons/hicolor/16x16/apps/kasablanca.png share/icons/hicolor/16x16/apps/
-/usr/local/share/icons/hicolor/22x22/apps/kasablanca.png share/icons/hicolor/22x22/apps/
-/usr/local/share/icons/hicolor/32x32/apps/kasablanca.png share/icons/hicolor/32x32/apps/
-/usr/local/share/icons/hicolor/48x48/apps/kasablanca.png share/icons/hicolor/48x48/apps/
-/usr/local/share/icons/hicolor/64x64/apps/kasablanca.png share/icons/hicolor/64x64/apps/
-/usr/local/share/icons/hicolor/128x128/apps/kasablanca.png share/icons/hicolor/128x128/apps/
-
-
+/usr/local/bin/kasablanca bin/
+/usr/local/share/applnk/Utilities/kasablanca.desktop share/applnk/Utilities/
+/usr/local/share/apps/kasablanca share/apps/
+/usr/local/share/config.kcfg/kbconfig.kcfg share/config.kcfg
+/usr/local/share/doc/HTML/en/kasablanca share/doc/HTML/en/
+/usr/local/share/icons/hicolor/16x16/apps/kasablanca.png share/icons/hicolor/16x16/apps/
+/usr/local/share/icons/hicolor/22x22/apps/kasablanca.png share/icons/hicolor/22x22/apps/
+/usr/local/share/icons/hicolor/32x32/apps/kasablanca.png share/icons/hicolor/32x32/apps/
+/usr/local/share/icons/hicolor/48x48/apps/kasablanca.png share/icons/hicolor/48x48/apps/
+/usr/local/share/icons/hicolor/64x64/apps/kasablanca.png share/icons/hicolor/64x64/apps/
+/usr/local/share/icons/hicolor/128x128/apps/kasablanca.png share/icons/hicolor/128x128/apps/
+
+
Modified: pbibuild/modules/kasablanca/kmenu-dir/kasablanca
===================================================================
--- pbibuild/modules/kasablanca/kmenu-dir/kasablanca 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/kmenu-dir/kasablanca 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,13 +1,13 @@
-ExePath: bin/kasablanca
-ExeIcon: share/icons/hicolor/32x32/apps/kasablanca.png
-ExeDescr: Kasablanca
-ExeNoDesktop: 0
-ExeNoMenu: 0
-ExeRunRoot: 0
-ExeRunShell: 0
-ExeNotify: 1
-ExeLink: 0
-ExeWebLink: 0
-ExeTaskbar: 0
-ExeOwndir: 2
-ExeKdeCat: Internet
+ExePath: bin/kasablanca
+ExeIcon: share/icons/hicolor/32x32/apps/kasablanca.png
+ExeDescr: Kasablanca
+ExeNoDesktop: 0
+ExeNoMenu: 0
+ExeRunRoot: 0
+ExeRunShell: 0
+ExeNotify: 1
+ExeLink: 0
+ExeWebLink: 0
+ExeTaskbar: 0
+ExeOwndir: 2
+ExeKdeCat: Internet
Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,48 +1,48 @@
-#!/bin/sh
-# Filename: PBI.FirstRun.sh
-# Place any custom installation code here.
-# This script will be run before your program is extracted into
-# /Programs/<ProgNameVer>/
-# Available variables:
-# $PROGDIR - Directory where the files will be extracted to.
-# $USERNAME - Username of who started the installation.
-# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
-#
-# Return a '2' to halt the PBI installation
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-
-
-if [ -e "/usr/local/bin/kasablanca" ]
-then
- # Looks like FF is installed, ask if they want to remove the old one
- ls -al /usr/local/bin/kasablanca | grep Programs 2>/dev/null
- if [ "$?" = "0" ]
- then
- kdialog --yesno "Kasablanca is already installed, do you wish to uninstall it?"
- if [ "$?" = "0" ]
- then
- FF="`ls -al /usr/local/bin/kasablanca | cut -d '>' -f 2 | cut -d "/" -f 3`"
- echo $FF | grep Kasablanca 2>/dev/null
- if [ "$?" = "0" ]
- then
- PBIdelete -remove ${FF}
- else
- kdialog --sorry "Kasablanca could not be automatically removed... Please remove it in Add / Remove Programs and try again."
- return 2
- fi
- else
- kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
- return 2
- fi
-
- else
- # Could not find a link to PBI folder
- kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
- return 2
- fi
-fi
+#!/bin/sh
+# Filename: PBI.FirstRun.sh
+# Place any custom installation code here.
+# This script will be run before your program is extracted into
+# /Programs/<ProgNameVer>/
+# Available variables:
+# $PROGDIR - Directory where the files will be extracted to.
+# $USERNAME - Username of who started the installation.
+# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
+#
+# Return a '2' to halt the PBI installation
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+
+
+if [ -e "/usr/local/bin/kasablanca" ]
+then
+ # Looks like FF is installed, ask if they want to remove the old one
+ ls -al /usr/local/bin/kasablanca | grep Programs 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ kdialog --yesno "Kasablanca is already installed, do you wish to uninstall it?"
+ if [ "$?" = "0" ]
+ then
+ FF="`ls -al /usr/local/bin/kasablanca | cut -d '>' -f 2 | cut -d "/" -f 3`"
+ echo $FF | grep Kasablanca 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ PBIdelete -remove ${FF}
+ else
+ kdialog --sorry "Kasablanca could not be automatically removed... Please remove it in Add / Remove Programs and try again."
+ return 2
+ fi
+ else
+ kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
+ return 2
+ fi
+
+ else
+ # Could not find a link to PBI folder
+ kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
+ return 2
+ fi
+fi
Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,32 +1,32 @@
-#!/bin/sh
-# Filename: PBI.RemoveScript.sh
-# Place any custom removal code here.
-# This script will be run before your program is deleted.
-# ${1} is the directory name.
-# ${2} is the username of person performing the deletion.
-# TIP: 'kdialog' should be used for user interaction.
-#########################################
-rm -fR /usr/local/bin/kasablanca
-rm -fR /usr/local/share/applnk/Utilities/kasablanca.desktop
-rm -fR /usr/local/share/apps/kasablanca
-rm -fR /usr/local/share/config.kcfg/kbconfig.kcfg
-rm -fR /usr/local/share/doc/HTML/en/kasablanca
-rm -fR /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/32x32/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
+#!/bin/sh
+# Filename: PBI.RemoveScript.sh
+# Place any custom removal code here.
+# This script will be run before your program is deleted.
+# ${1} is the directory name.
+# ${2} is the username of person performing the deletion.
+# TIP: 'kdialog' should be used for user interaction.
+#########################################
+rm -fR /usr/local/bin/kasablanca
+rm -fR /usr/local/share/applnk/Utilities/kasablanca.desktop
+rm -fR /usr/local/share/apps/kasablanca
+rm -fR /usr/local/share/config.kcfg/kbconfig.kcfg
+rm -fR /usr/local/share/doc/HTML/en/kasablanca
+rm -fR /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
+rm -fR /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
+rm -fR /usr/local/share/icons/hicolor/32x32/apps/kasablanca.png
+rm -fR /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
+rm -fR /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
+rm -fR /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
+
+# Remove the old locale files since we are uninstalling
+LANGFILE="kasablanca.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
-# Remove the old locale files since we are uninstalling
-LANGFILE="kasablanca.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
- rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
-done
-
-
if [ ! -z "$DISPLAY" ]
then
# Ask if we want to remove the user profiles
Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,37 +1,37 @@
-#!/bin/sh
-# Filename: PBI.SetupScript.sh
-# Place any custom installation code here.
-# This script will be run after your program is extracted into
-# /Programs/<ProgNameVer>/
-# Available variables:
-# $PROGDIR - Directory where the files will be extracted to.
-# $USERNAME - Username of who started the installation.
-# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
-#
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-ln -s /Programs/${PROGDIR}/.sbin/kasablanca /usr/local/bin/kasablanca
-ln -s /Programs/${PROGDIR}/share/applnk/Utilities/kasablanca.desktop /usr/local/share/applnk/Utilities/kasablanca.desktop
-ln -s /Programs/${PROGDIR}/share/apps/kasablanca /usr/local/share/apps/kasablanca
-ln -s /Programs/${PROGDIR}/share/config.kcfg/kbconfig.kcfg /usr/local/share/config.kcfg/kbconfig.kcfg
-ln -s /Programs/${PROGDIR}/share/doc/HTML/en/kasablanca /usr/local/share/doc/HTML/en/kasablanca
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/16x16/apps/kasablanca.png /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/22x22/apps/kasablanca.png /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/48x48/apps/kasablanca.png /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/64x64/apps/kasablanca.png /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/128x128/apps/kasablanca.png /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
-
-# Copy over all the LANG files
-LANGFILE="kasablanca.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
- mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
- cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
-done
-
-echo "LAUNCHCLOSE: /usr/local/bin/kasablanca"
+#!/bin/sh
+# Filename: PBI.SetupScript.sh
+# Place any custom installation code here.
+# This script will be run after your program is extracted into
+# /Programs/<ProgNameVer>/
+# Available variables:
+# $PROGDIR - Directory where the files will be extracted to.
+# $USERNAME - Username of who started the installation.
+# $INSTALLMODE - Set to 'TEXT' or 'GUI', depending on which installer is running.
+#
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+ln -s /Programs/${PROGDIR}/.sbin/kasablanca /usr/local/bin/kasablanca
+ln -s /Programs/${PROGDIR}/share/applnk/Utilities/kasablanca.desktop /usr/local/share/applnk/Utilities/kasablanca.desktop
+ln -s /Programs/${PROGDIR}/share/apps/kasablanca /usr/local/share/apps/kasablanca
+ln -s /Programs/${PROGDIR}/share/config.kcfg/kbconfig.kcfg /usr/local/share/config.kcfg/kbconfig.kcfg
+ln -s /Programs/${PROGDIR}/share/doc/HTML/en/kasablanca /usr/local/share/doc/HTML/en/kasablanca
+ln -s /Programs/${PROGDIR}/share/icons/hicolor/16x16/apps/kasablanca.png /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
+ln -s /Programs/${PROGDIR}/share/icons/hicolor/22x22/apps/kasablanca.png /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
+ln -s /Programs/${PROGDIR}/share/icons/hicolor/48x48/apps/kasablanca.png /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
+ln -s /Programs/${PROGDIR}/share/icons/hicolor/64x64/apps/kasablanca.png /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
+ln -s /Programs/${PROGDIR}/share/icons/hicolor/128x128/apps/kasablanca.png /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
+
+# Copy over all the LANG files
+LANGFILE="kasablanca.mo"
+cd /Programs/${PROGDIR}/locale
+for i in `ls`
+do
+ mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
+ cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
+done
+
+echo "LAUNCHCLOSE: /usr/local/bin/kasablanca"
Modified: pbibuild/modules/kasablanca/pbi.conf
===================================================================
--- pbibuild/modules/kasablanca/pbi.conf 2008-01-09 16:32:20 UTC (rev 1120)
+++ pbibuild/modules/kasablanca/pbi.conf 2008-01-09 22:23:56 UTC (rev 1121)
@@ -1,37 +1,37 @@
-#!/bin/bash
-# PBI Building template
-# Copyright 2007 PC-BSD Software
-##############################################################################
-
-# Program Name
-PROGNAME="Kasablanca"
-
-# Program Website
-PROGWEB="http://kasablanca.berlios.de"
-
-# Program Author
-PROGAUTHOR="Kasablanca Team"
-
-# Default Icon (Relative to overlay-dir)
-PROGICON="share/icons/hicolor/32x32/apps/kasablanca.png"
-
-# Port we want to build
-PBIPORT="/usr/ports/ftp/kasablanca"
-
-# Set to "Auto or NONE" to have the PBI creator auto-populate libs or not
-PROGLIBS="Auto"
-
-# PBI Update URL set to "" or the http:// URL of update checker
-PBIUPDATE="http://update.pbidir.com"
-
-# Other Ports we need built (One per line)
-OTHERPORT=""
-
-# Enter your custom make options here
-MAKEOPTS=""
-
-# Build Key - Change this to anything else to trigger a rebuild
-# - The rebuild will take place even if port is still the same ver
-BUILDKEY="01"
-
-export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
+#!/bin/bash
+# PBI Building template
+# Copyright 2007 PC-BSD Software
+##############################################################################
+
+# Program Name
+PROGNAME="Kasablanca"
+
+# Program Website
+PROGWEB="http://kasablanca.berlios.de"
+
+# Program Author
+PROGAUTHOR="Kasablanca Team"
+
+# Default Icon (Relative to overlay-dir)
+PROGICON="share/icons/hicolor/32x32/apps/kasablanca.png"
+
+# Port we want to build
+PBIPORT="/usr/ports/ftp/kasablanca"
+
+# Set to "Auto or NONE" to have the PBI creator auto-populate libs or not
+PROGLIBS="Auto"
+
+# PBI Update URL set to "" or the http:// URL of update checker
+PBIUPDATE="http://update.pbidir.com"
+
+# Other Ports we need built (One per line)
+OTHERPORT=""
+
+# Enter your custom make options here
+MAKEOPTS=""
+
+# Build Key - Change this to anything else to trigger a rebuild
+# - The rebuild will take place even if port is still the same ver
+BUILDKEY="02"
+
+export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list